Skip to main content
Skills

Skill 一覧

現在のアカウント配下のすべての Skill をページネーション付きで一覧取得します。

GET /api/v1/cloud/skills 現在のアカウント配下のすべての Skill をページネーション付きで一覧取得します。

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer <PAT or SAT>

クエリパラメータ

パラメータ必須説明
limitintegerいいえ1 ページあたりの返却件数上限。デフォルト 20、範囲は 1〜100。100 を超える値は 400 invalid_request_error を返します。
pagestringいいえ次方向のページングカーソル。前ページのレスポンスにある next_page の値を使用
sourcestringいいえソースでフィルタ。有効な値:customqoder
display_titlestringいいえ表示タイトルの前方一致検索(大文字小文字を区別しない)
namestringいいえ⚠️ 非推奨:表示タイトルの前方一致検索に使う従来の別名(代わりに display_title を使用)
after_idstringいいえ⚠️ 非推奨:この ID より後のレコードを返す(代わりに page を使用)
before_idstringいいえ⚠️ 非推奨:この ID より前のレコードを返す(代わりに page を使用)
完全なページネーション仕様は ページネーション を参照してください。

リクエスト例

# List all skills
curl -X GET https://api.qoder.com/api/v1/cloud/skills \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

# Paginate
curl -X GET "https://api.qoder.com/api/v1/cloud/skills?limit=10" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

# Page forward with a cursor
curl -X GET "https://api.qoder.com/api/v1/cloud/skills?limit=10&page=skill_019e3bba474b73cfaf19eae9b5f5e66d" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

レスポンス例

HTTP 200 OK
{
  "data": [
    {
      "id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
      "type": "skill",
      "display_title": "test-skill-api-doc",
      "source": "custom",
      "latest_version": "1759178010641129",
      "metadata": {
        "team": "docs"
      },
      "created_at": "2026-05-18T15:35:24.248164Z",
      "updated_at": "2026-05-18T15:35:24.248164Z"
    }
  ],
  "next_page": null,
  "first_id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "last_id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "has_more": false
}

空一覧レスポンス

{
  "data": [],
  "next_page": null,
  "first_id": null,
  "last_id": null,
  "has_more": false
}

レスポンスフィールド

フィールド説明
dataarraySkill オブジェクトの配列
has_morebooleanさらにレコードがあるかどうか。true の場合は next_page を次ページの page 値として使用
next_pagestring | null次ページのカーソル。has_moretrue の場合は page に渡す
first_idstring | null⚠️ 非推奨:現在ページ先頭レコードの ID(代わりに has_more / next_page でページング)
last_idstring | null⚠️ 非推奨:現在ページ末尾レコードの ID(代わりに has_more / next_page でページング)

エラーレスポンス

HTTPtype説明
400invalid_request_error無効な limit、無効な source、または pagebefore_idafter_id のうち 2 つ以上を指定
401TOKEN_INVALID認証トークンが欠落または無効
完全なエラーエンベロープについては エラー を参照してください。

関連項目